## libusb-1.0 1.0.6

=== debian/changelog ===
libusb-1.0 (2:1.0.6-1) unstable; urgency=low

  * New upstream version.
  * Use 3.0 (quilt) format.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 26 Nov 2009 22:31:08 +0100

libusb-1.0 (2:1.0.3-2) unstable; urgency=low

  * Downgrade priority to optional to make deborphan happy (closes:
    bug#549641).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 01 Nov 2009 21:08:33 +0100

libusb-1.0 (2:1.0.3-1) unstable; urgency=low

  * New upstream version (closes: bug#549466).
  * Upgraded policy compliance to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Oct 2009 18:02:54 +0200

libusb-1.0 (2:1.0.2-1) unstable; urgency=low

  * New upstream version.
  * Upgraded policy compliance to 3.8.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 07 Aug 2009 10:41:31 +0200

libusb-1.0 (2:1.0.1-1) unstable; urgency=low

  * New upstream version.
  * Upgraded policy compliance to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 May 2009 15:38:44 +0000

libusb-1.0 (2:1.0.0-1) unstable; urgency=low

  * New upstream final version (closes: bug#509082). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Dec 2008 11:25:06 +0100

libusb-1.0 (2:0.9.4-1) unstable; urgency=low

  * New upstream beta version:
    - 00_doxygen.diff: merged upstream.
    - 50_autoreconf.diff: drop.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 27 Nov 2008 11:29:00 +0100

libusb-1.0 (2:0.9.3-2) unstable; urgency=low

  * debian/rules: fix cross build support.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 05 Sep 2008 12:49:20 +0200

libusb-1.0 (2:0.9.3-1) unstable; urgency=low

  * New upstream beta version, incompatible with libusb 0.1:
    - Rename packages to libusb-1.0-0 and libusb-1.0-0-dev.
    - Use quilt for the patch management system.
    - 00_doxygen.diff: allow out-of-tree build of the documentation.
    - 50_autoreconf.diff: regenerate auto* files.
    - Add a README.source file.
    - Update debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Aug 2008 01:28:29 +0200

libusb (2:0.1.12-12) unstable; urgency=low

  * Fix infinite loop when device are unplugged during a transfer (closes:
    bug#485778). 
  * Upgraded policy compliance to 3.8.0 (no changes).
  * Don't build documentation in the udeb target. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 12 Jun 2008 00:15:30 +0200

libusb (2:0.1.12-11) unstable; urgency=low

  * Add a build-depends on docbook (closes: bug#479572). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 05 May 2008 17:02:01 +0200

libusb (2:0.1.12-10) unstable; urgency=low

  * Use const for buffers in write functions (closes: bug#473814).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Apr 2008 01:46:09 +0200

libusb (2:0.1.12-9) unstable; urgency=low

  * Support dpkg-buildpackage -j. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 01 Jan 2008 23:47:22 +0100

libusb (2:0.1.12-8) unstable; urgency=high

  * Provide a symlink /usr/lib/libusb-0.1.so.4 -> /lib/libusb-0.1.so.4
    to workaround dpkg-dev bugs.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 22 Nov 2007 11:27:16 +0100

libusb (2:0.1.12-7) unstable; urgency=low

  * Remove the Provides: line for the udeb (closes: bug#419607).
  * Use the Homepage: tag in the description (closes: bug#416376). 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Apr 2007 00:25:30 +0200

libusb (2:0.1.12-6) unstable; urgency=low

  * Make the package binNMU safe. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  5 Mar 2007 21:25:54 +0100

libusb (2:0.1.12-5) unstable; urgency=low

  * Stop suggesting hotplug (closes: bug#409299). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Feb 2007 23:10:33 +0100

libusb (2:0.1.12-4) unstable; urgency=low

  * Changed usb.h to make it ANSI compliant (closes: bug#315165). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 29 Jan 2007 01:07:07 +0100

libusb (2:0.1.12-3) unstable; urgency=low

  * Fixed the use of select for URB transfer. Thanks to Daniel
    Jacobowitz for the patch (closes: bug#406644).
  * Fixed usbpp.h (closes: bug#404901).
  * Upgraded policy compliance to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 18 Jan 2007 23:12:15 +0100

libusb (2:0.1.12-2) unstable; urgency=low

  * Fix /usr/lib/libusb.so symlink (closes: bug#360426). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  2 Apr 2006 12:05:46 +0200

libusb (2:0.1.12-1) unstable; urgency=low

  * New upstream release (closes: bug#360228). 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 31 Mar 2006 15:52:12 +0200

libusb (2:0.1.11-7) unstable; urgency=low

  * Fixed a build failure with GCC 4.1 (Closes: bug#357995).
  * Really ship the C++ library (Closes: bug#358854).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 24 Mar 2006 21:25:17 +0100

libusb (2:0.1.11-6) unstable; urgency=low

  * Added a patch by Frans Pop (Closes: bug#356747):
    - Add --add-udeb option for dh_makeshlibs which autogenerates the
      udeb: lines for the shlibs file
    - Build-depends on debhelper (>= 5.0.22).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 14 Mar 2006 00:17:48 +0100

libusb (2:0.1.11-5) unstable; urgency=low

  * Don't use AM_MAINTAINER_MODE, just touch configure before running it.
    Thanks to Steve Langasek for reporting the problem and the explanation on
    how AM_MAINTAINER_MODE works.

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  2 Mar 2006 11:45:33 +0100

libusb (2:0.1.11-4) unstable; urgency=low

  * Fixed a memory leak calling usb_find_devices() successively. Patch
    backported from CVS.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Jan 2006 08:24:03 +0100

libusb (2:0.1.11-3) unstable; urgency=low

  * Fix the /usr/lib/libusb.so link. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Jan 2006 20:07:11 +0100

libusb (2:0.1.11-2) unstable; urgency=low

  * Use %zd to print size_t types. Thanks to Kurt Roeckx for the hint
    (closes: bug#349355).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Jan 2006 18:08:38 +0100


