=== debian/control ===
Source: libusb-1.0
Section: libs
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 5.0.22), autotools-dev, pkg-config, doxygen
Standards-Version: 3.8.3

Package: libusb-1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://www.linux-usb.org/
Description: userspace USB programming library
 Library for programming USB applications without the knowledge
 of Linux kernel internals.

Package: libusb-1.0-0-dev
Section: libdevel
Architecture: any
Depends: libusb-1.0-0 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Homepage: http://www.linux-usb.org/
Description: userspace USB programming library development files
 Library for programming USB applications without the knowledge
 of Linux kernel internals.

Package: libusb-1.0-0-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}
Homepage: http://www.linux-usb.org/
Description: userspace USB programming library
 Library for programming USB applications without the knowledge
 of Linux kernel internals.
 .
 This is a minimal package for use in debian-installer.
