## libusb-1.0 1.0.6-1~bpo50+1

=== debian/changelog ===
libusb-1.0 (2:1.0.6-1~bpo50+1) lenny-backports; urgency=low

  * Lenny backport.
  * Reverted to format 1.0.

 -- Al Nikolov <clown@debian.org>  Sat, 09 Jan 2010 00:12:10 +0000
