=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
+Uploaders: Al Nikolov <clown@debian.org>
 Build-Depends: debhelper (>= 5.0.22), autotools-dev, pkg-config, doxygen
 Standards-Version: 3.8.3
+Format: 1.0
 
 Package: libusb-1.0-0
 Section: libs
