## libusb-1.0 1.0.8

=== debian/changelog ===
libusb-1.0 (2:1.0.8-6) unstable; urgency=high

  * Set urgency to high, as it affects the version in wheezy.
  * Add patches/04-linux-3.0.diff from upstream to fix bulk continuation
    support detection with 3.x kernels.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Oct 2011 20:49:38 +0200

libusb-1.0 (2:1.0.8-5) unstable; urgency=low

  * Add patches/03-private-libs.diff from upstream to fix static linking.
    (closes: bug#638326).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 18 Aug 2011 19:22:47 +0200

libusb-1.0 (2:1.0.8-4) unstable; urgency=low

  * Add patches/02-pedantic.diff from upstream to fix compilation with
    -pedantic flag (closes: #633805).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 19 Jul 2011 10:59:19 +0200

libusb-1.0 (2:1.0.8-3) unstable; urgency=low

  * Upgraded policy compliance to 3.9.2 (no changes).
  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libusb-1.0-0 and set it
      Multi-Arch: same.
    - Install the library in the multiarch path.
   * Dropped .la files from -dev packages are they are not used by any
     depending package.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Jun 2011 21:11:14 +0200

libusb-1.0 (2:1.0.8-2) unstable; urgency=low

  * Add 01-configure-bashisms.diff to fix bashisms (closes: bug#582992).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 May 2010 07:35:56 +0000

libusb-1.0 (2:1.0.8-1) unstable; urgency=low

  * New upstream version.
  * Upgraded policy compliance to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 07 May 2010 19:38:57 +0200
