=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Uploaders: Al Nikolov <clown@debian.org>
-Build-Depends: debhelper (>= 5.0.22), autotools-dev, pkg-config, doxygen
-Standards-Version: 3.8.3
-Format: 1.0
+Build-Depends: debhelper (>= 8.1.3), autotools-dev, pkg-config, doxygen
+Standards-Version: 3.9.2
 
 Package: libusb-1.0-0
 Section: libs
-Architecture: any
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Homepage: http://www.linux-usb.org/
 Description: userspace USB programming library
@@ -18,7 +18,7 @@
 
 Package: libusb-1.0-0-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Depends: libusb-1.0-0 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Homepage: http://www.linux-usb.org/
 Description: userspace USB programming library development files
@@ -28,7 +28,7 @@
 Package: libusb-1.0-0-udeb
 XC-Package-Type: udeb
 Section: debian-installer
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}
 Homepage: http://www.linux-usb.org/
 Description: userspace USB programming library
