=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
 LDFLAGS="-L/usr/$(DEB_HOST_GNU_TYPE)/lib"
@@ -23,14 +25,10 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-CFLAGS = -Wall -g
+CFLAGS = -Wall
 CFLAGS_UDEB = $(CFLAGS) -Os
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -64,6 +62,7 @@
 	cd $(objdir) && \
 		CFLAGS="$(CFLAGS)" ../configure $(CROSS) \
 			--prefix=/usr \
+			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 			--mandir=/usr/share/man \
 			--infodir=/usr/share/info \
 			--enable-examples-build
@@ -141,24 +140,21 @@
 		$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
 	# Move the library to /lib
-	mkdir $(CURDIR)/debian/tmp/lib/
-	mv $(CURDIR)/debian/tmp/usr/lib/libusb-1.0.so.* \
-	   $(CURDIR)/debian/tmp/lib/
-	ln -sf /lib/libusb-1.0.so.0 $(CURDIR)/debian/tmp/usr/lib/libusb-1.0.so.0 
-	ln -sf /lib/libusb-1.0.so.0.0.0 $(CURDIR)/debian/tmp/usr/lib/libusb-1.0.so
+	mkdir -p $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/
+	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.* \
+	   $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/
+	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.0 \
+	       $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.0 
+	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.0.0.0 \
+	       $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so
 
 	# Move all files in their corresponding package
-	dh_install -s -Nlibusb-1.0-udeb --list-missing --sourcedir=debian/tmp
+	dh_install -s -Nlibusb-1.0-0-udeb --list-missing --sourcedir=debian/tmp
 
 	# udeb install
 	$(MAKE) -C $(objdir_udeb) install DESTDIR=$(CURDIR)/debian/tmp-udeb
 
-	# Move the library to /lib
-	mkdir $(CURDIR)/debian/tmp-udeb/lib/
-	mv $(CURDIR)/debian/tmp-udeb/usr/lib/libusb-1.0.so.* \
-	   $(CURDIR)/debian/tmp-udeb/lib/
-
-	dh_install -plibusb-1.0-udeb --sourcedir=debian/tmp-udeb
+	dh_install -plibusb-1.0-0-udeb --sourcedir=debian/tmp-udeb
 
 # Build architecture-independent files here.
 binary-indep: build install
