## libusb-1.0 1.0.9~rc3

=== debian/changelog ===
libusb-1.0 (2:1.0.9~rc3-3) unstable; urgency=low

  * Add symbols file.
  * Enable hardened build flags.
  * Remove the /usr/lib/libusb-1.0.so.0 -> /lib/libusb-1.0.so.0 symlink
    as the dpkg-dev bug has been fixed.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Dec 2011 17:56:10 +0100

libusb-1.0 (2:1.0.9~rc3-2) unstable; urgency=low

  * Fix .so link. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Dec 2011 19:27:03 +0100

libusb-1.0 (2:1.0.9~rc3-1) unstable; urgency=low

  * New upstream release candidate (closes: #650823, #651294).
    - Added a function to convert error codes into strings (closes:
      #504781).
    - Drop patches/01-configure-bashisms.diff (merged upstream).
    - Drop patches/02-pedantic.diff (merged upstream).
    - Drop patches/03-private-libs.diff (merged upstream).
    - Drop patches/04-linux-3.0.diff (merged upstream).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Dec 2011 19:02:43 +0100
