=== debian/rules ===
--- 
+++ 
@@ -18,17 +18,25 @@
 DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+# Get flags from dpkg-buildflags
+CFLAGS			= $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS			= $(shell dpkg-buildflags --get LDFLAGS)
+CPPFLAGS		= $(shell dpkg-buildflags --get CPPFLAGS)
+
+# Additional flags
+CFLAGS += -Wall
+
+# Flags for udebs
+CPPFLAGS_UDEB		= $(CFLAGS)
+CFLAGS_UDEB		= $(CFLAGS) -Os
+LDFLAGS_UDEB		= $(LDFLAGS)
+
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
-LDFLAGS="-L/usr/$(DEB_HOST_GNU_TYPE)/lib"
 else
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-CFLAGS = -Wall
-CFLAGS_UDEB = $(CFLAGS) -Os
-CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
-
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -46,8 +54,11 @@
 	rm -f $(CURDIR)/usb.h
 
 	# update config.guess and config.sub
-	cp -f /usr/share/misc/config.sub config.sub
-	cp -f /usr/share/misc/config.guess config.guess
+	cp -f /usr/share/misc/config.sub $(CURDIR)/config.sub
+	cp -f /usr/share/misc/config.guess $(CURDIR)/config.guess
+
+	# make configure executable
+	chmod +x $(CURDIR)/configure
 	
 	touch $@
 
@@ -60,7 +71,7 @@
 
 	# run configure with build tree $(objdir)
 	cd $(objdir) && \
-		CFLAGS="$(CFLAGS)" ../configure $(CROSS) \
+		CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ../configure $(CROSS) \
 			--prefix=/usr \
 			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 			--mandir=/usr/share/man \
@@ -78,7 +89,7 @@
 
 	# run configure with build tree $(objdir_udeb)
 	cd $(objdir_udeb) && \
-		CFLAGS="$(CFLAGS_UDEB)" ../configure $(CROSS) \
+		CPPFLAGS="$(CPPFLAGS_UDEB)" CFLAGS="$(CFLAGS_UDEB)" LDFLAGS="$(LDFLAGS_UDEB)" ../configure $(CROSS) \
 			--prefix=/usr \
 			--mandir=/usr/share/man \
 			--infodir=/usr/share/info
@@ -143,9 +154,7 @@
 	mkdir -p $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/
 	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.* \
 	   $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/
-	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.0 \
-	       $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.0 
-	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.0.0.0 \
+	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.0.1.0 \
 	       $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so
 
 	# Move all files in their corresponding package
@@ -184,7 +193,7 @@
 	dh_fixperms -s
 #	dh_perl
 #	dh_python
-	dh_makeshlibs -V -plibusb-1.0-0 --add-udeb="libusb-1.0-0-udeb"
+	dh_makeshlibs -plibusb-1.0-0 --add-udeb="libusb-1.0-0-udeb"
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
