## libusb-1.0 1.0.9

=== debian/changelog ===
libusb-1.0 (2:1.0.9-1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.
  * Adjusted debian/rules and .install files to revert placing
    files under multiarch directories since it didn't work on squeeze

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 17 Oct 2013 22:18:45 -0400

libusb-1.0 (2:1.0.9-1) unstable; urgency=low

  * New upstream version (closes: #669590):
    - Work with CONFIG_TIMERFD is disabled in the kernel (closes: #627018).
  * Update symbols file.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 24 Apr 2012 07:58:26 +0200

libusb-1.0 (2:1.0.9~rc3-4) unstable; urgency=low

  * Fix hardening build flags for udebs (closes: #665309). 
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Apr 2012 23:45:26 +0200
