=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 CFLAGS += -Wall
 
 # Flags for udebs
-CPPFLAGS_UDEB		= $(CFLAGS)
+CPPFLAGS_UDEB		= $(CPPFLAGS)
 CFLAGS_UDEB		= $(CFLAGS) -Os
 LDFLAGS_UDEB		= $(LDFLAGS)
 
@@ -73,7 +73,7 @@
 	cd $(objdir) && \
 		CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ../configure $(CROSS) \
 			--prefix=/usr \
-			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+			--libdir=\$${prefix}/lib \
 			--mandir=/usr/share/man \
 			--infodir=/usr/share/info \
 			--enable-examples-build
@@ -151,11 +151,11 @@
 		$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
 	# Move the library to /lib
-	mkdir -p $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/
-	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.* \
-	   $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/
-	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.0.1.0 \
-	       $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so
+	mkdir -p $(CURDIR)/debian/tmp/lib/
+	mv $(CURDIR)/debian/tmp/usr/lib/libusb-1.0.so.* \
+	   $(CURDIR)/debian/tmp/lib/
+	ln -sf /lib/libusb-1.0.so.0.1.0 \
+	       $(CURDIR)/debian/tmp/usr/lib/libusb-1.0.so
 
 	# Move all files in their corresponding package
 	dh_install -s -Nlibusb-1.0-0-udeb --list-missing --sourcedir=debian/tmp
