## libusb-1.0 1.0.19

=== debian/changelog ===
libusb-1.0 (2:1.0.19-1) unstable; urgency=medium

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 16 Jun 2014 19:54:01 +0200

libusb-1.0 (2:1.0.18-2) unstable; urgency=medium

  * debian/copyright: mentions that ezusb and fxload examples are
    released under GPL v2 instead of LGPL v2.1 (closes: #743637).
  * Don't force xz compression when generating .deb now that it is the
    default.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Apr 2014 18:13:50 +0200

libusb-1.0 (2:1.0.18-1) unstable; urgency=medium

  * New upstream version called libusb, libusbx and libusb have been
    merged in this version.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 31 Jan 2014 18:34:53 +0100

libusbx (2:1.0.17-1) unstable; urgency=low

  * New upstream version.
    - Drop 0000-linux-Use-a-separate-lock-to-serialize-start-stop-vs.patch
    - Drop 0001-hotplug-Remove-use-of-pthread_cancel-from-linux_udev.patch
    - Drop 0002-linux_netlink-close-netlink-socket-on-init-error.patch
    - Drop 0003-linux_netlink-Remove-use-of-pthread_cancel.patch

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 08 Sep 2013 23:02:48 +0200

libusbx (2:1.0.16-3) unstable; urgency=medium

  * Add 0000-linux-Use-a-separate-lock-to-serialize-start-stop-vs.patch
    from ipstream to really fix the dead lock with upower
    (closes: #717988).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 31 Jul 2013 20:46:44 +0200

libusbx (2:1.0.16-2) unstable; urgency=medium

  * Add patches from upstream to fix a dead lock (closes: #717988):
    - 0001-hotplug-Remove-use-of-pthread_cancel-from-linux_udev.patch
    - 0002-linux_netlink-close-netlink-socket-on-init-error.patch
    - 0003-linux_netlink-Remove-use-of-pthread_cancel.patch
  * Set urgency to medium as it fixes a nasty bug.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 30 Jul 2013 19:00:23 +0200

libusbx (2:1.0.16-1) unstable; urgency=low

  * New upstream version, last one from the libusbx, the next one will
    be called libusb again.
    - Build depends on libudev-dev.
    - Update symbol files.
  * Bump Standards-Version to 3.9.4 (no changes).
  * Move documentation to a -doc package.
  * Set the -dev package as Multiarch: same.
  * Support parallel building.
  * Compress the .deb files with xz.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 12 Jul 2013 19:49:06 +0200

libusbx (2:1.0.15-1) unstable; urgency=low

  * New upstream version.
  * Fix cross-build (closes: #694912, #705658).
  * Add a -dbg package.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 May 2013 17:31:43 +0200

libusbx (2:1.0.12-2) unstable; urgency=low

  * 01-log_level.diff: new patch from upstream to prefix LOG_LEVEL_* 
    enum values with LIBUSB_ (closes: #680865). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 09 Jul 2012 07:45:56 +0200

libusbx (2:1.0.12-1) unstable; urgency=low

  * New upstream release.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 30 Jun 2012 01:14:07 +0200

libusbx (2:1.0.11-1) unstable; urgency=low

  * Switch to libusbx, a fork of libusb, as most distributions are doing.
    It is API and ABI compatible, at least for now.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 16:53:33 +0200
