=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# support parallel build using DEB_BUILD_OPTIONS=parallel=N
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
@@ -32,16 +37,16 @@
 LDFLAGS_UDEB		= $(LDFLAGS)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
+  CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 else
-CROSS= --build $(DEB_BUILD_GNU_TYPE)
+  CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
 
-objdir = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
+objdir = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
 objdir_udeb = $(objdir)-udeb
 
 configure: configure-deb-stamp configure-udeb-stamp
@@ -59,7 +64,7 @@
 
 	# make configure executable
 	chmod +x $(CURDIR)/configure
-	
+
 	touch $@
 
 configure-deb: configure-deb-stamp
@@ -73,10 +78,11 @@
 	cd $(objdir) && \
 		CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ../configure $(CROSS) \
 			--prefix=/usr \
-			--libdir=\$${prefix}/lib \
+			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 			--mandir=/usr/share/man \
 			--infodir=/usr/share/info \
-			--enable-examples-build
+			--disable-silent-rules \
+			--enable-tests-build
 
 	touch $@
 
@@ -92,7 +98,8 @@
 		CPPFLAGS="$(CPPFLAGS_UDEB)" CFLAGS="$(CFLAGS_UDEB)" LDFLAGS="$(LDFLAGS_UDEB)" ../configure $(CROSS) \
 			--prefix=/usr \
 			--mandir=/usr/share/man \
-			--infodir=/usr/share/info
+			--infodir=/usr/share/info \
+			--disable-silent-rules
 
 	touch $@
 
@@ -106,9 +113,6 @@
 	cd $(objdir) && \
 		$(MAKE)
 
-	cd $(objdir) && \
-		$(MAKE) -C doc docs
-
 	touch $@
 
 build-arch-udeb: build-arch-udeb-stamp
@@ -121,12 +125,15 @@
 	touch $@
 
 build-indep: build-indep-stamp
-build-indep-stamp:
-	dh_testdir
-
-	touch $@
-
-clean: 
+build-indep-stamp: configure-deb-stamp
+	dh_testdir
+
+	cd $(objdir) && \
+		$(MAKE) -C doc docs
+
+	touch $@
+
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f *-stamp
@@ -140,7 +147,7 @@
 
 	dh_clean
 
-install: build
+install: build-arch
 	dh_testdir
 	dh_testroot
 	dh_clean -k -s
@@ -151,11 +158,11 @@
 		$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
 	# Move the library to /lib
-	mkdir -p $(CURDIR)/debian/tmp/lib/
-	mv $(CURDIR)/debian/tmp/usr/lib/libusb-1.0.so.* \
-	   $(CURDIR)/debian/tmp/lib/
-	ln -sf /lib/libusb-1.0.so.0.1.0 \
-	       $(CURDIR)/debian/tmp/usr/lib/libusb-1.0.so
+	mkdir -p $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/
+	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.* \
+	   $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/
+	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so.0.1.0 \
+	       $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libusb-1.0.so
 
 	# Move all files in their corresponding package
 	dh_install -s -Nlibusb-1.0-0-udeb --list-missing --sourcedir=debian/tmp
@@ -166,39 +173,38 @@
 	dh_install -plibusb-1.0-0-udeb --sourcedir=debian/tmp-udeb
 
 # Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
-	dh_testdir
-	dh_testroot
-#	dh_installchangelogs ChangeLog
-	dh_installchangelogs NEWS
-	dh_installdocs
-#	dh_installexamples
-#	dh_installmenu
-	dh_installdebconf
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-	dh_installman
-	dh_link -s
-	dh_strip -s
-	dh_compress -s
-	dh_fixperms -s
-#	dh_perl
-#	dh_python
-	dh_makeshlibs -plibusb-1.0-0 --add-udeb="libusb-1.0-0-udeb"
-	dh_installdeb -s
-	dh_shlibdeps -s
-	dh_gencontrol -s
-	dh_md5sums -s
-	dh_builddeb -s
+binary-indep: build-indep
+	dh_testroot
+	dh_installchangelogs -i
+	dh_installdocs -i
+	dh_installexamples -i
+	dh_installman -i
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
+
+# Buid architecture-dependent files here.
+binary-arch: build-arch install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs -a NEWS
+	dh_installdocs -a
+	dh_installman -a
+	dh_link -a
+	dh_strip -plibusb-1.0-0 --dbg-package=libusb-1.0-0-dbg
+	dh_strip -a --remaining-packages
+	dh_compress -a
+	dh_fixperms -a
+	dh_makeshlibs -a -plibusb-1.0-0 --add-udeb="libusb-1.0-0-udeb"
+	dh_installdeb -a
+	dh_shlibdeps -a
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-arch binary-indep
 .PHONY: build clean binary-indep binary-arch binary install configure
