## libusb-1.0 1.0.20

=== debian/changelog ===
libusb-1.0 (2:1.0.20-1) unstable; urgency=medium

  * New upstream release (closes: #799069).
  * Bump Standards-Version to 3.9.6 (no changes).
  * Update homepage.
  * Rewrite debian/rules using dh.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 Sep 2015 20:03:53 +0200
