=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 8.1.3), libudev-dev [linux-any], autotools-dev, pkg-config
+Build-Depends: debhelper (>= 9), libudev-dev [linux-any], autotools-dev, pkg-config
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Homepage: http://www.libusb.info
 
 Package: libusb-1.0-0
 Section: libs
@@ -12,7 +13,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Homepage: http://www.linux-usb.org/
 Description: userspace USB programming library
  Library for programming USB applications without the knowledge
  of Linux kernel internals.
@@ -26,7 +26,6 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: libusb-1.0-0 (= ${binary:Version}), ${misc:Depends}
-Homepage: http://www.linux-usb.org/
 Description: userspace USB programming library development files
  Library for programming USB applications without the knowledge
  of Linux kernel internals.
@@ -41,7 +40,6 @@
 Multi-Arch: same
 Depends: libusb-1.0-0 (= ${binary:Version}), ${misc:Depends}
 Recommends: libusb-1.0-doc
-Homepage: http://www.linux-usb.org/
 Description: userspace USB programming library development files
  Library for programming USB applications without the knowledge
  of Linux kernel internals.
@@ -55,7 +53,6 @@
 Depends: ${misc:Depends}
 Replaces: libusb-1.0-0-dev (<< 1.0.16)
 Conflicts: libusb-1.0-0-dev (<< 1.0.16)
-Homepage: http://www.linux-usb.org/
 Description: documentation for userspace USB programming
  Library for programming USB applications without the knowledge
  of Linux kernel internals.
@@ -67,7 +64,6 @@
 Section: debian-installer
 Architecture: linux-any
 Depends: ${shlibs:Depends}
-Homepage: http://www.linux-usb.org/
 Description: userspace USB programming library
  Library for programming USB applications without the knowledge
  of Linux kernel internals.
