## libusb-1.0 1.0.21

=== debian/changelog ===
libusb-1.0 (2:1.0.21-2) unstable; urgency=medium

  * Backport to important fixes from upstream:
    - linux_udev: Retry poll() on EINTR.
    - Fix a race condition with libusb_interrupt_event_handler().
    - Fix wrong __linux usage in libusb.h (closes: #865026).
  * Switch to debhelper 10.
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 24 Jun 2017 23:12:56 +0200

libusb-1.0 (2:1.0.21-1) unstable; urgency=medium

  * New upstream release, upload to unstable.
  * Mark libusb-1.0-doc Multi-Arch: foreign.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 Oct 2016 20:57:04 +0200

libusb-1.0 (2:1.0.21~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * Build-depends on dh-autoreconf and pass --with autoreconf to dh.
  * Add a hurd stub backend, thanks to Petter Reinholdtsen for the patch
    (closes: #835335).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 28 Aug 2016 23:55:19 +0200

libusb-1.0 (2:1.0.21~rc1-1) experimental; urgency=medium

  * New upstream release candidate (closes: #832097).
  * Update symbols file with new symbols.
  * Bump Standards-Version to 3.9.8 (no changes).
  * Drop libusb-1.0-0-dbg and build an automatic dbgsym package instead.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 22 Jul 2016 22:20:40 +0200
