=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --parallel --with autotools-dev
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean --builddirectory build-deb
@@ -37,7 +37,7 @@
 	dh_install -plibusb-1.0-0-udeb --sourcedir=debian/tmp-udeb
 
 override_dh_strip-arch:
-	dh_strip -plibusb-1.0-0 --dbg-package=libusb-1.0-0-dbg
+	dh_strip -plibusb-1.0-0 --dbgsym-migration='libusb-1.0-0-dbg (<< 2:1.0.21~)'
 	dh_strip -a --remaining-packages
 
 override_dh_makeshlibs-arch:
