## libusb-1.0 1.0.22

=== debian/changelog ===
libusb-1.0 (2:1.0.22-2) unstable; urgency=medium

  * debian/tests/control: add a depends on build-essential.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 05 May 2018 18:27:33 +0200

libusb-1.0 (2:1.0.22-1) unstable; urgency=medium

  * New upstream version:
    - Refresh gnu-hurd-stub.diff.
    - Drop fix-a-race-condition-with-libusb_interrupt_event_handler.diff: 
      upstreamed.
    - Drop libusb.h-use-__linux__-instead-of-__linux.diff: upstreamed.
    - Drop linux_udev-retry-poll-on-EINTR.diff: upstreamed.
    - Update symbols file.
  * Bump Standards-Version to 4.1.4 (no changes).
  * Run the testsuite on linux.
  * Added autopkgtest.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 05 May 2018 00:32:09 +0200
