=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper (>= 10), libudev-dev [linux-any], pkg-config
 Build-Depends-Indep: doxygen
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: http://www.libusb.info
+XS-Testsuite: autopkgtest
 
 Package: libusb-1.0-0
 Section: libs
