=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	dh_auto_install --builddirectory build-udeb --destdir=$(CURDIR)/debian/tmp-udeb
 
 override_dh_install-arch:
-	dh_install -s -Nlibusb-1.0-0-udeb --list-missing --sourcedir=debian/tmp-deb
+	dh_install -Nlibusb-1.0-0-udeb --sourcedir=debian/tmp-deb
 	dh_install -plibusb-1.0-0-udeb --sourcedir=debian/tmp-udeb
 
 override_dh_strip-arch:
@@ -43,6 +43,12 @@
 override_dh_makeshlibs-arch:
 	dh_makeshlibs -plibusb-1.0-0 --add-udeb="libusb-1.0-0-udeb"
 
+override_dh_auto_test-arch:
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	$(CURDIR)/build-deb/tests/stress
+endif
+endif
 
 #
 # Architecture independent targets
